Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class DaysOfWeek

    java.lang.Object
      com.compoze.collab.exchange.DaysOfWeek

public class DaysOfWeek
extends java.lang.Object

This class stores the values for 'days of week'. It maintains an internal bitmask that is used to send a set of days of the week to Exchange.

Constructor Summary
`DaysOfWeek()` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`int` | `getCount()` Gets a count of the number of days of the week that are set.
`int` | `getIntValue()` Gets the value that's used to store the day of week in the storage system.
`DayOfWeek` | `getMax()` Gets the maximum day of the week for this set.
`boolean` | `remove(DayOfWeek dayOfWeek)` Removes a day of the week.
`boolean` | `set(DayOfWeek dayOfWeek)` Adds a day of the week.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DaysOfWeek

    public DaysOfWeek()

  Constructor. Initially, no days of the week are set.

Method Detail

### set

    public boolean set(DayOfWeek dayOfWeek)

  Adds a day of the week. If the day already exists then it is not added twice.

  Parameters:
    `dayOfWeek` - the day of the week to add
  Returns:
    `true` if it was added, or `false` if it already exists

### remove

    public boolean remove(DayOfWeek dayOfWeek)

  Removes a day of the week. If the day already exists then it is not added twice.

  Parameters:
    `dayOfWeek` - the day of the week to remove
  Returns:
    `true` if the day was removed, or `false` if it was not in the list

### getIntValue

    public int getIntValue()

  Gets the value that's used to store the day of week in the storage system.

  Returns:
    the store value

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not day of week.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### getCount

    public int getCount()

  Gets a count of the number of days of the week that are set.

  Returns:
    the count of the number of days of the week that are set

### getMax

    public DayOfWeek getMax()

  Gets the maximum day of the week for this set.

  Returns:
    the maximum day of the week

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.